summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2009-07-06 20:38:13 +0000
committerZac Medico <zmedico@gentoo.org>2009-07-06 20:38:13 +0000
commit1d13ae1ea7d44d6ecfdd401be4c4d867b61ff632 (patch)
treed019d5835251e706c8095069231d6e8cd05285e2 /bin/ebuild.sh
parent9e387129c51a6b5b1e1423ab68cdc4ea345bb731 (diff)
downloadportage-1d13ae1ea7d44d6ecfdd401be4c4d867b61ff632.tar.gz
portage-1d13ae1ea7d44d6ecfdd401be4c4d867b61ff632.tar.bz2
portage-1d13ae1ea7d44d6ecfdd401be4c4d867b61ff632.zip
Bug #273640 - Add --disable-dependency-tracking to econf arguments for
EAPI 3. Thanks to Markus Meier <maekke@gentoo.org> for this patch. svn path=/main/trunk/; revision=13800
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index 634b3ce4f..f80312a83 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -491,6 +491,11 @@ econf() {
done
fi
+ # EAPI=3 adds --disable-dependency-tracking to econf
+ if ! hasq "$EAPI" 0 1 2 ; then
+ set -- --disable-dependency-tracking "$@"
+ fi
+
# if the profile defines a location to install libs to aside from default, pass it on.
# if the ebuild passes in --libdir, they're responsible for the conf_libdir fun.
local CONF_LIBDIR LIBDIR_VAR="LIBDIR_${ABI}"